<!--
 - Created by damian.brzezinski_en on 14.08.2023.
 -->

<!-- Ls Product Item -->
<template>
    <div class="slds-border_left slds-border_top slds-border_right slds-border_bottom slds-m-around_small">
        <div class="slds-grid">
            <div class="slds-col slds-size_1-of-4 slds-p-around_small slds-align_absolute-center">
                <img src={img}>
            </div>
            <div class="slds-col slds-size_2-of-4">
                <div class="slds-grid_vertical-align-center">
                    <div class="slds-col">
                        {label.NAME}: {name}
                    </div>
                    <div class="slds-col">
                        {label.CATEGORY}: {category}
                    </div>
                    <div class="slds-col">
                        {label.PRICE}:
                        <lightning-formatted-number value={price} format-style="currency" currency-code="EUR"></lightning-formatted-number>
                    </div>
                    <div class="slds-col">
                        {label.DESCRIPTION}:
                    </div>
                    <div class="slds-col">
                        {description}
                    </div>

                </div>
            </div>
            <div class="slds-col slds-size_1-of-4 slds-align_absolute-center">
                <div class="slds-grid_vertical-align-center">
                    <template if:true={noProductAvailable}>
                        <div class="slds-col slds-m-around_small slds-align_absolute-center">
                            {label.OUT_OF_STACK}
                        </div>
                    </template>
                    <template if:false={noProductAvailable}>
                        <div class="slds-col slds-m-around_small slds-align_absolute-center">
                            <lightning-slider min="1" max={stock} value={numberOfProducts} onchange={handleNumberOfProductsChange}></lightning-slider>
                        </div>
                        <div class="slds-col slds-m-around_small slds-align_absolute-center">
                            <lightning-button label={label.ADD_TO_CART} onclick={handleAddToCart}></lightning-button>
                        </div>
                    </template>
                </div>
            </div>
        </div>
    </div>
</template>